Package com.trilead.ssh2.signature

## Class DSAPublicKey

- java.lang.Object
- - com.trilead.ssh2.signature.DSAPublicKey

    public class DSAPublicKey
    extends java.lang.Object

DSAPublicKey.

### Constructor Summary

Constructors
`DSAPublicKey​(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g, java.math.BigInteger y)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigInteger` `getG()`
`java.math.BigInteger` `getP()`
`java.math.BigInteger` `getQ()`
`java.math.BigInteger` `getY()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DSAPublicKey

    public DSAPublicKey​(java.math.BigInteger p,
                        java.math.BigInteger q,
                        java.math.BigInteger g,
                        java.math.BigInteger y)

### Method Detail

#### getP

    public java.math.BigInteger getP()

#### getQ

    public java.math.BigInteger getQ()

#### getG

    public java.math.BigInteger getG()

#### getY

    public java.math.BigInteger getY()